import { SegmentedControl, SegmentedControlProps } from "@mantine/core";
import { FC } from "react";

export enum StatisticsTab {
    PROFIT,
    SALARIES,
}

type Props = Omit<SegmentedControlProps, "data">;
const data = [
    {
        label: "Выручка по сделкам",
        value: StatisticsTab.PROFIT.toString(),
    },
    {
        label: "Зарплаты",
        value: StatisticsTab.SALARIES.toString(),
    },
];

export const StatisticsTabSegmentedControl: FC<Props> = props => {
    return (
        <SegmentedControl
            data={data}
            {...props}
        />
    );
};